Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion

osTicket v1.10 (stable) and Maintenance Release v1.9.15 are now available! Go get it now

Search URL

Hi all,

in earlier Versions i could do a search by URL like this:
/scp/tickets.php?a=search&query=&status=open&dept=1&assignee=&topicId=&startDate=&endDate=

I modified to this:
/scp/tickets.php?a=search&search-type=&query=&status=open&dept=3&assignee=&topicId=&startDate=&endDate="

...but it's still not working!

I want to add some Links right before the search-textfield, that shows all open tickets of the specified department.

Also, i want to add a second search-textfield that searches only for tickets with status "open"

can anybody give me some hints how to do this with the Version 1.10?


Comments

  • edited February 6
    Please help us to help you by reading and following the posting guidelines located in this thread: Please read before requesting assistance. The more information you give us the better we will be able to assist you. Thank you.

    It seems like you posted in v1.8, I will move it to v1.10 under Mods and Customizations.
  • Thanks for your reply, i read the information, but this is not necessary / makes no sense to post regarding my question.

    Thanks for move the Post to the right place!

    can anybody provide me some help?
  • @Comfine Please re-read @Synt4xError response and supply some additional information.  You want to mod your installation and that's fine... but no one can possible give you any guidance with out more information.
  • edited February 16
    i am sorry, notizier, but have you read my question? ..

    it makes no sense at all and i feel like i am talking to the first-level-support of the "Deutsche Telekom", asking silly questions that has nothing todo with the problem..... but .... here we go:
    • PHP Error log entries or displayed errors. (you of course may remove any identifying information): there are no errors that i wanna solve.
    • Mail Sending: phpMail functions or SMTP: standard, not changed, not relevant at all
    • Mail Fetching/Receiving: IMAP or POP and Server version: standard, not changed, not relevant at all
    • PHP version: 5.4, but, the solution i wanna have should work with all versions, so, this is not relevant also
    • Operating System: debian, but, the solution i wanna have should work with all OS, so, this is not relevant also
    • Client or Staff side of the UI: staff, as you can easily see in my URL that i posted
    • the location - the url or what your clicking on that is causing the problem: there's no problem with an existing location, i just need some tips for making one, as described in my post.
    • screen shots or mock ups showing what you are talking about, there's nothing i could screenshot.


    ...and to be completed:








    osTicket-Version v1.10 (901e5ea)
    Aktuell
    Server-Software Apache/2.2.22 (Debian)
    MySQL-Version 5.5.54
    PHP-Version 5.4.45-0+deb7u7
  • Congratulations you have convinced me to ignore your thread.
  • PHP is updated regularly, code is moved around/deleted/added etc... New versions may have better efficiency at doing things and finding ways of shortening the code. Because of that, everything will not work the same across all PHP platforms. This doesn't apply to everything, but it could apply to you, but we wouldn't know unless the information is provided. I see it all the time reading these forums. Folks have a customization that worked in one version but not another.

    You cannot just ask a surgeon to put any digit (finger) back onto a hand, it would have to have the same blood type etc... A surgeon would ask questions, run tests, see the results, and then implement their finding into their work.




  • ntozier,

    i am sorry that i made you feel to ignore me - i am just very tired of this standard-procedures, that doesn't meet the requirements in the most cases - as in this case too - this is nothing personal - but of course, i do respect your decision.

    Synt4xError, thanks for your reply,
    but i still don't agree! Code, that works with the newest PHP-Version is normally downwards compatible (if you dont use some new functions, which is very rare...) - so i do not really get the point - sorry, but anyway, i hope i provided all information as listed in the "please read before require assistant" - so maybe we can focus on a solution now?
Sign In or Register to comment.